Skip to content
Athena User Guide
Esc
↑↓navigate↵open⌘Jpreview

Attach an uploaded background to a certificate draft

POST/api/admin/certificates/templates/{id}/background
Path parameters
idstringrequired
min length 1
Request body
requiredapplication/json
fileIdstringrequired
min length 1
Responses
200

Success

backgroundobjectrequired
Show properties
fileIdstringrequired
contentTypestringrequired
Show properties
Any of:
string
string
string
string
widthnumberrequired
heightnumberrequired
byteSizenumberrequired
backgroundUrlstringrequired
400

Bad request

errorstringrequired
401

Unauthorized

errorstringrequired
422

Validation failed

typestringrequired
onstringrequired
summarystring
messagestring
foundany
propertystring
expectedstring
500

Unhandled server error

errorstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST '/api/admin/certificates/templates/string/background' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "fileId": "string"
}'
Response
{
  "background": {
    "fileId": "string",
    "contentType": "image/png",
    "width": 0,
    "height": 0,
    "byteSize": 0
  },
  "backgroundUrl": "string"
}